Jump to content
 
Sign in to follow this  
kuhla

Forum 4.0 software coming.

Recommended Posts

As you may or may not know, this forum runs on Invision Power Board software. There have been some small updates which I have not applied over the last year but there is a larger change coming soon with version 4.0. The company has put up a preview site of the 4.0 version. I realize it mainly will just look like an aesthetic change but there is a lot more going on which you can read about some of it here: http://community.invisionpower.com/blog/1174/entry-8650-ips-social-suite-40/

 

Preview site: EDIT: (removed) See link farther down.

 

I don't have an ETA on this just yet. I will keep you all updated when the change is going to happen.

Share this post


Link to post
Share on other sites

Ok, we have some options. There was a recent security patch that applies to all currently available versions of the forum board software. I would like to apply it and I have been delaying updating the forum software for long enough now so I would like to do something but we actually can make a choice to be bleeding edge and go to 4.0 beta 4 as opposed to "just" 3.4.7 (we are currently on 3.4.3).

I would appreciate some feedback on this.

I've removed the link in the OP because 4.0 is no longer on that site for preview however IP's official forums are now running the 4.0 beta software so you can just view it there: http://community.invisionpower.com/

Admittedly a lot of the changes to 4.0 are to the benefit of administrators and there is very little added functionality from the users' point of view. We don't really have any skins so I don't have to worry about those breaking and we don't have any commerce or blog functions either; just the forum.

 

EDIT: Tangent but I just went and quickly checked what skins are available again, something I did a long time ago too, and there are still so many that are just garbage. Don't hold your breath for an aesthetic change on here.

Share this post


Link to post
Share on other sites

Go for bleeding edge. I think our use of the IPB software is on the lower end as you mentioned so I doubt we'd run into many issues.

 

I would imagine that our themes would still work, I might be the only one using the auto scaling theme but I'd still like to keep that.

Share this post


Link to post
Share on other sites

After much thought, and limited input from other people on here, I have tentatively planned to try to upgrade to beta 4.0 beta 4 of the forum board software this coming Thursday.

I will try to start the process in the early morning. Ideally, it will take <1 hour but I want to assume I will run into issues so I’m going to say, don’t expect it to be stable until lunch time (PST).

Share this post


Link to post
Share on other sites

Alright, so here is the story. I first tried to upgrade from 3.4.3 to 4.0.0.b4 and got errors. I didn't read a lot of documentation before doing this. Just tried to treat it like a "fresh" upgrade (which is a little more than a "normal" upgrade). I figured maybe it wasn't fully documented and they wanted people to move from the latest stable version, 3.4.7. So first I downgraded/re-uploaded all the files from that version and then upgraded to 3.4.7 and then tried again. Again errors. Again delete. Again try-again. Post on official forums. While waiting for reply, trying to read and troubleshoot error log. No go. A forum reply says to double check hosting PHP version since there is a new minimum requirment in 4.0. So I check....

 

Requirements check: http://www.tactinept.com/forums/ips4.php

 

....and that's the problem. Long story short, I had to up-side-downgrade like 7-8 times which involved a lot of progress bars as I uploaded many things many times.

 

EDIT: Because of all the version changes, PLEASE report any bugs.

Share this post


Link to post
Share on other sites

Youtube embed broken. Fixing now. Shouldn't take long.

 

EDIT: Fixed. You may notice some performance issues as the cache rebuilds.

Share this post


Link to post
Share on other sites

A forum reply says to double check hosting PHP version since there is a new minimum requirment in 4.0. So I check....

 

Requirements check: http://www.tactinept.com/forums/ips4.php

 

....and that's the problem.

 

Small update on this. After the recent backend changes to our hosting, the PHP version that is running on the server is now a selectable option. I may try switching it to a higher version over the weekend to see if anything breaks. I do not think it will and if it does I just switch it back however that would be one less barrier to worry about when the 4.0 final drops. If it works just fine I will revisit the whole idea for consideration regarding trying a beta version again.

Share this post


Link to post
Share on other sites

 

A forum reply says to double check hosting PHP version since there is a new minimum requirment in 4.0. So I check....

 

Requirements check: http://www.tactinept.com/forums/ips4.php

 

....and that's the problem.

 

Small update on this. After the recent backend changes to our hosting, the PHP version that is running on the server is now a selectable option. I may try switching it to a higher version over the weekend to see if anything breaks. I do not think it will and if it does I just switch it back however that would be one less barrier to worry about when the 4.0 final drops. If it works just fine I will revisit the whole idea for consideration regarding trying a beta version again.

 

 

Ok. I just did this. I flipped the switch. We are running on a newer version of PHP now. It should be faster BUT the main worry is if it broke something. I did a little clicking around and nothing happened. PLEASE LET ME KNOW IF SOMETHING IS WRONG. Also please let me know if there is a perceptible speed increase.

Share this post


Link to post
Share on other sites

Ok. I just did this. I flipped the switch. We are running on a newer version of PHP now. It should be faster BUT the main worry is if it broke something. I did a little clicking around and nothing happened. PLEASE LET ME KNOW IF SOMETHING IS WRONG. Also please let me know if there is a perceptible speed increase.

 

 

Well it's been over a month now and no one has reported any problems and I have not noticed any myself.

 

That means that, as far as I can tell, we are ready for IP.Board 4.0. In terms of where it is at, 4.0 has left beta stage and is in release candidate (RC) phase. It's close to initial release. I would not be too worried about moving us to the current RC (4.0.2) but I'll wait a bit longer.

Share this post


Link to post
Share on other sites

This thread was started 1 year ago. Upgrading is slowly pushing it's way back up as a priority. Version 4.0 has been available since late April/early May in complete/finished/retail form. The IPS team is all the way up to version 4.0.13 now and 4.1 is coming soon.

Release notes/Dev tracker: https://community.invisionpower.com/release-notes/

Share this post


Link to post
Share on other sites

malaphax asked me about this recently.

 

I have been dragging my heels on this a lot.

 

As of writing this the latest version is 4.1.19.1.

 

This would be a big change.

 

Security is pretty shit on this website right now which has a certain irony since I technically manage it.

 

A part of me wants to change hosting or at least clean up the current hosting (there were some mistakes made on initial setup).

 

No promises or ETA but I wanted to address this.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...